POST
KUEST_ADDRESS*stringChecksummed wallet address performing the request.
KUEST_API_KEY*stringAPI key obtained from the L1 derivation endpoint.
Format
uuidKUEST_PASSPHRASE*string64 character hexadecimal passphrase associated with the API key.
KUEST_TIMESTAMP*stringMillisecond epoch timestamp (string) used for freshness checks.
KUEST_SIGNATURE*stringBase64url-encoded HMAC-SHA256 signature built from timestamp + method + path (+ body), where path excludes any query string.
application/json- body
Items
1 <= items <= 15[index: integer]?Batch order placement results
application/json- response
[index: integer]?curl -X POST 'https://clob-staging.kuest.com/orders' \ -H 'KUEST_ADDRESS: string' \ -H 'KUEST_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'KUEST_PASSPHRASE: string' \ -H 'KUEST_TIMESTAMP: string' \ -H 'KUEST_SIGNATURE: string' \ -H 'Content-Type: application/json' \ -d '[ { "order": { "tokenId": "string", "conditionId": "string", "maker": "string", "signer": "string", "makerAmount": "string", "takerAmount": "string", "side": "BUY", "metadata": "string", "builder": "string", "timestamp": "string", "salt": "string", "signatureType": 3, "signature": "string" }, "orderType": "FOK", "owner": "string" }]'[ { "success": true, "errorMsg": "string", "orderID": "string", "takingAmount": "string", "makingAmount": "string", "status": "live", "orderHash": "string", "code": "string", "retry_after_seconds": 1 }]